Command reference
deployments memory-policy
Memory recall and sensitivity policy
| Command | Summary |
|---|---|
deployments memory-policy list | List memory policies |
deployments memory-policy create | Create a memory policy |
deployments memory-policy upsert | Create or update a memory policy |
deployments memory-policy list
List memory policies.
deployments memory-policy list- Calls
GET /v1/memory/policies(SDKlistMemoryPolicies). - Needs an environment:
--envor the saved context. - Paginated.
--page-sizesets the page size; pass the returned cursor as--cursorfor the next page.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
--cursor | string (cursor) | Pagination cursor | ||
--page-size | string (number) | Page size |
Also accepts the global flags.
deployments memory-policy create
Create a memory policy.
deployments memory-policy create- Calls
POST /v1/memory/policies(SDKcreateMemoryPolicy). - Needs an environment:
--envor the saved context. - Sends an idempotency key. The CLI generates one per run; pass
--idempotency-keyto retry safely.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
--id | string | Policy ID | ||
--active-recall-enabled | boolean | Whether active recall is enabled | ||
--disable-active-recall | boolean | Disable active recall | ||
--active-recall-rollout-percent | string (number) | Active recall rollout percent | ||
--scope | string | environment, organization, or workspace | ||
--sensitivity-mode | string | strict, standard, or restricted | ||
--retention-days | string (number) | Retention days | ||
--workspace-id | string | Workspace ID for workspace-scoped policies | ||
--processing-config | string (json) | Memory processing configuration |
Also accepts the global flags.
deployments memory-policy upsert
Create or update a memory policy.
deployments memory-policy upsert- Calls
PUT /v1/memory/policies(SDKupsertMemoryPolicy). - Needs an environment:
--envor the saved context. - Sends an idempotency key. The CLI generates one per run; pass
--idempotency-keyto retry safely.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
--id | string | Existing policy ID | ||
--active-recall-enabled | boolean | Whether active recall is enabled | ||
--disable-active-recall | boolean | Disable active recall | ||
--active-recall-rollout-percent | string (number) | Active recall rollout percent | ||
--scope | string | environment, organization, or workspace | ||
--sensitivity-mode | string | strict, standard, or restricted | ||
--retention-days | string (number) | Retention days | ||
--workspace-id | string | Workspace ID for workspace-scoped policies | ||
--processing-config | string (json) | Memory processing configuration |
Also accepts the global flags.